## node-contextify 0.0.6

=== wscript ===
import Options
import os
import sys

VERSION = '0.0.5'

def set_options(opt):
  opt.tool_options("compiler_cxx")

def configure(conf):
  conf.check_tool("compiler_cxx")
  conf.check_tool("node_addon")
  conf.env.set_variant("Release")

def build(bld):
  obj = bld.new_task_gen("cxx", "shlib", "node_addon")
  obj.target = "contextify"
  obj.source = "src/contextify.cc"

=== debian/changelog ===
node-contextify (0.0.6-2) unstable; urgency=low

  * Fix installation of contextify

 -- David Paleino <dapal@debian.org>  Sun, 06 Nov 2011 21:10:47 +0100

node-contextify (0.0.6-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Sat, 29 Oct 2011 15:59:32 +0200

## node-contextify 0.0.7

=== wscript ===
--- 
+++ 
@@ -2,7 +2,7 @@
 import os
 import sys
 
-VERSION = '0.0.5'
+VERSION = '0.0.7'
 
 def set_options(opt):
   opt.tool_options("compiler_cxx")

=== debian/changelog ===
node-contextify (0.0.7-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sat, 31 Dec 2011 11:47:46 +0100

=== debian/control ===
Source: node-contextify
Section: devel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , nodejs-dev
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/brianmcd/contextify
Vcs-Git: git://git.debian.org/collab-maint/node-contextify.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-contextify.git;a=summary

Package: node-contextify
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: turn an object into a persistent execution context
 Contextify is a NodeJS module that lets you to turn an object into a
 persistent V8 execution context.
 .
 A contextified object acts as the global 'this' when executing scripts
 in its context.  Contextify adds 3 methods to the contextified object:
  - run(code, filename);
  - getGlobal();
  - dispose().
 The main difference between Contextify and Node's vm methods is that
 Contextify allows asynchronous functions to continue executing in the
 Contextified object's context.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	node-waf configure

override_dh_auto_build:
	node-waf build

override_dh_install:
	dh_install
	dh_buildinfo

	mv $(CURDIR)/debian/node-contextify/usr/lib/nodejs/contextify/contextify.js \
		$(CURDIR)/debian/node-contextify/usr/lib/nodejs/contextify/contextifyjs.js

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-contextify.substvars \
		$(CURDIR)/debian/node-contextify/usr/lib/nodejs/contextify/contextify.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-contextify/usr/lib/nodejs/contextify/contextify.node

## node-contextify 0.1.2

=== wscript ===
--- 
+++ 
@@ -2,7 +2,7 @@
 import os
 import sys
 
-VERSION = '0.0.7'
+VERSION = '0.1.2'
 
 def set_options(opt):
   opt.tool_options("compiler_cxx")
@@ -11,6 +11,7 @@
   conf.check_tool("compiler_cxx")
   conf.check_tool("node_addon")
   conf.env.set_variant("Release")
+  conf.env.append_value('CXXFLAGS', ['-O3'])
 
 def build(bld):
   obj = bld.new_task_gen("cxx", "shlib", "node_addon")

=== debian/changelog ===
node-contextify (0.1.2-2) unstable; urgency=low

  * Fixed reference to local compiled version of the module
    (Closes: #670312)

 -- David Paleino <dapal@debian.org>  Tue, 24 Apr 2012 22:00:23 +0200

node-contextify (0.1.2-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Update debian/copyright
  * Refreshed patch to fix requirement on node-bindings

 -- David Paleino <dapal@debian.org>  Sat, 14 Apr 2012 23:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 8~)
  , nodejs-dev
  , dh-buildinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/brianmcd/contextify
 Vcs-Git: git://git.debian.org/collab-maint/node-contextify.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-contextify.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -31,3 +31,7 @@
 		--remove-section=.note \
 		--strip-unneeded \
 		$(CURDIR)/debian/node-contextify/usr/lib/nodejs/contextify/contextify.node
+
+override_dh_clean:
+	dh_clean
+	rm -rf build/ .lock-wscript

## node-contextify 0.1.6

=== Makefile ===
all: build

.PHONY: test clean

clean:
	node-waf distclean

build: src/contextify.cc
	node-waf distclean && node-waf configure build

test:
	npm test

=== wscript ===
import Options
import os
import sys

VERSION = '0.1.6'

def set_options(opt):
  opt.tool_options("compiler_cxx")

def configure(conf):
  conf.check_tool("compiler_cxx")
  conf.check_tool("node_addon")
  conf.env.set_variant("Release")

def build(bld):
  obj = bld.new_task_gen("cxx", "shlib", "node_addon")
  obj.target = "contextify"
  obj.source = "src/contextify.cc"

=== debian/changelog ===
node-contextify (0.1.6-1) unstable; urgency=low

  * New upstream release.
  * Move to debhelper level 9 for hardening.
  * Update packaging to node-gyp (closes: #719377).
  * New maintainer, but leave David in for now.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Sep 2013 14:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: David Paleino <dapal@debian.org>
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+ David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper (>= 8~)
+ debhelper (>= 9)
  , nodejs-dev
+ , node-gyp
+ , npm
  , dh-buildinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/brianmcd/contextify
 Vcs-Git: git://git.debian.org/collab-maint/node-contextify.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-contextify.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	node-waf configure
+	node-gyp configure
 
 override_dh_auto_build:
-	node-waf build
+	node-gyp build
 
 override_dh_install:
 	dh_install
@@ -35,3 +35,5 @@
 override_dh_clean:
 	dh_clean
 	rm -rf build/ .lock-wscript
+
+override_dh_auto_test:

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=contextify \
	http://registry.npmjs.org/contextify/-/contextify-(\d+.*)\.tgz
